summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2019-02-15 11:16:16 +0100
committerAlexis Ballier <aballier@gentoo.org>2019-02-15 13:35:52 +0100
commit69220602337b91c061687b87167fd13f4220594f (patch)
treea0de986b1d5c893ad434361c30426c1dcb9c6452 /dev-python/rosdistro
parentdev-libs/libgit2-glib: 0.27.8 works with libgit2-0.28.1 (diff)
downloadgentoo-69220602337b91c061687b87167fd13f4220594f.tar.gz
gentoo-69220602337b91c061687b87167fd13f4220594f.tar.bz2
gentoo-69220602337b91c061687b87167fd13f4220594f.zip
dev-python/rosdistro: bump to 0.7.2
Package-Manager: Portage-2.3.60, Repoman-2.3.12 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'dev-python/rosdistro')
-rw-r--r--dev-python/rosdistro/Manifest1
-rw-r--r--dev-python/rosdistro/rosdistro-0.7.2.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/rosdistro/Manifest b/dev-python/rosdistro/Manifest
index be0821c4f24..fea1269a127 100644
--- a/dev-python/rosdistro/Manifest
+++ b/dev-python/rosdistro/Manifest
@@ -1,2 +1,3 @@
DIST rosdistro-0.7.0.tar.gz 60092 BLAKE2B f68dde51a3e6b5efe26608130d3a69536803baad92565c7d7cb25b22f71be4cc8bb3869d72abefa7e4de4446ff7f3f49037e789c39d9ac401fff30dd8d9fc082 SHA512 8def3e3d405483f9cd51dbe82bfbb7605a50d2d14dcd9712e3e93c5c091953df430203b2383d46c1db2248678fbf2b84638328f47a256296c78229b7783e724e
DIST rosdistro-0.7.1.tar.gz 60093 BLAKE2B b6e16af1b20ccc31a23365e9c74123c6cd2b17b4b522b925e66628cec0608c29bb73ffd22ca21e05f85ea20681b37d1acb95634f652e16e515e4615aec65b1b8 SHA512 cb22d331fc71324de518336b1e3afd8b9e54180b3deae55dedc619aa6308dd5ec0ffe22dfd7e2e8e362bb56b14602db9242a8b81d71f2745c9f94db94aa91ccb
+DIST rosdistro-0.7.2.tar.gz 60091 BLAKE2B 40f2a47fcf5a13d0b8b9eb29fcee9bfbd811a7541dac74e6be76e2c67ba34adf0b7c2df8804300e35262bbb36efa890128e06217c93ecfc834015010e344e42d SHA512 ca6c0d19c2218efe8bf27c1cc22c4c9b683dccb5f8029208e0b581cb358fbe32733895896b1afece45b6576f254f4535032cea962587aa47d93235767c6baf60
diff --git a/dev-python/rosdistro/rosdistro-0.7.2.ebuild b/dev-python/rosdistro/rosdistro-0.7.2.ebuild
new file mode 100644
index 00000000000..df8542c9a22
--- /dev/null
+++ b/dev-python/rosdistro/rosdistro-0.7.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/rosdistro"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Tools to work with catkinized rosdistro files"
+HOMEPAGE="http://wiki.ros.org/rosdistro"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/ros-infrastructure/rosdistro/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/catkin_pkg[${PYTHON_USEDEP}]
+ dev-python/rospkg[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ nosetests --with-xunit test || die
+}